import type { AppRouteRouteDefinition } from '../../../../../server/future/route-definitions/app-route-route-definition';
import type { ExecutableRoute, ExecutableRouteOptions } from './helpers/executable-route';
import type { NextConfig } from '../../../../../server/config';
import { type AppRouteUserlandModule, AppRouteRouteHandler } from '../../../../../server/future/route-handlers/app-route-route-handler';
interface RouteOptions extends ExecutableRouteOptions<AppRouteRouteDefinition, AppRouteRouteHandler, AppRouteUserlandModule> {
    readonly pathname: string;
    readonly resolvedPagePath: string;
    readonly nextConfigOutput: NextConfig['output'] | undefined;
}
export declare class Route implements ExecutableRoute<AppRouteRouteDefinition, AppRouteRouteHandler> {
    readonly handler: AppRouteRouteHandler;
    readonly definition: AppRouteRouteDefinition;
    constructor({ resolvedPagePath, pathname, userland, nextConfigOutput, requestAsyncStorage, staticGenerationAsyncStorage, serverHooks, headerHooks, staticGenerationBailout, }: RouteOptions);
}
export {};
