import type { RouteHandler } from '../../../../server/future/route-handlers/route-handler';
import type { ExecutableRoute } from '../next-app-loader/routes/helpers/executable-route';
import type { RouteDefinition } from '../../../../server/future/route-definitions/route-definition';
/**
 * HandlerProvider is a wrapper around a route handler that allows the handler
 * to be patched and reused.
 *
 * This should only be used in the edge runtime.
 */
export declare class HandlerProvider {
    private readonly route;
    private readonly matcher;
    private patched;
    constructor(route: ExecutableRoute<RouteDefinition, RouteHandler>);
    handler(request: Request): Promise<Response>;
}
