import { NodeModuleLoader } from "../helpers/module-loader/node-module-loader";
export class RouteHandlerManager {
    constructor(moduleLoader = new NodeModuleLoader()){
        this.moduleLoader = moduleLoader;
    }
    async handle(match, req, context) {
        // The module supports minimal mode, load the minimal module.
        const module = await this.moduleLoader.load(match.definition.filename);
        // Patch the handler if it supports it.
        module.route.handler.patch == null ? void 0 : module.route.handler.patch();
        // Create the context for the handler. This contains the params from the
        // match (if any) and the context from the request from above.
        const ctx = {
            ...context,
            params: match.params
        };
        // Get the response from the handler.
        const response = await module.route.handler.handle(req, ctx);
        // Send the response back.
        return response;
    }
}

//# sourceMappingURL=route-handler-manager.js.map